Jump to content
CCleaner Community Forums
Sign in to follow this  
Daan

Java Updates

Recommended Posts

Olda java updates are not deleted by CCleaner. It would be a nice addition to add this feature. It is in the directorie (harddisk):\Program Files\Java\ and jre 1.5.0_1 till 1.5.0_9 are older versions of Java.

Share this post


Link to post
Share on other sites

That would be a bad thing to do. You will need to remove them in Add/Remove Programs.

 

It is safe to uninstall all older versions, leave the newest version installed.

 

This should free up a lot of space, if you have several versions installed.

Share this post


Link to post
Share on other sites
That would be a bad thing to do. You will need to remove them in Add/Remove Programs.

 

It is safe to uninstall all older versions, leave the newest version installed.

 

This should free up a lot of space, if you have several versions installed.

Why not? The new version of Java have already overwrote the old registry items and files in the windows directorie, so I don't see why it's not wise to add this to CCleaner, it can safe a lot of time.

Share this post


Link to post
Share on other sites

Because since it has an uninstaller, it would still be listed in Add/Remove Programs, and plus they have a lot of registry settings.

Share this post


Link to post
Share on other sites
Why not? The new version of Java have already overwrote the old registry items and files in the windows directorie, so I don't see why it's not wise to add this to CCleaner, it can safe a lot of time.

Actually Java installs its self in directories named after the version and leaves the old one excatly were it was. The Same Goes for the registry entries.

Share this post


Link to post
Share on other sites

This is something that Sun should fix - ask the installer (person) if s/he needs to keep old versions, and if not, uninstall them.

 

There are very few people who actually do need multiple versions of the JRE, as all functionality is present in the newest JRE releases. (But there are some faulty application that depend on old 1.3 or 1.4 versions to function properly.)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Sign in to follow this  

×
×
  • Create New...